{% extends 'layouts/base.html.twig' %}

{% block title %}Client : {{ client.nom }} {{ client.prenom }}{% endblock %}

{% block body %}

    <div class="row">
        <div class="col-md-6">
            <h1> Client : {{ client.nomcomplet }} </h1>
        </div>
        <div class="col-md-6 text-end">
            <a href="{{ path('app_intervention_add') }}?client={{ client.id }}" class="btn btn-dark"><i class="fa-sharp fa-solid fa-plus"></i> Ajouter une nouvelle intervention</a>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <h2> Fiche client </h2>
            Numéro téléphone fixe: <a href="tel:0{{client.fixe}}"> 0{{client.fixe}} </a> <br />
            Numéro téléphone portable: <a href="tel:0{{client.portable}}"> 0{{ client.portable }} </a> <br />
            Adresse:
            <p>
                {{ client.adresse }}
            </p>
        </div>
    </div>
    <div class="row">
        
        <div class="col-md-12">
        <h2> Liste d'interventions </h2>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Intitulé</th>
                </tr>
            </thead>
            <tbody>
                {% for intervention in client.interventions %}
                <tr>
                    <th scope="row">{{ intervention.id }}</th>
                    <td><a href="{{ path('app_intervention_show', {id: intervention.id}) }}"> {{ intervention.intitule }} </a></td>
                </tr>
                {% endfor %}
            </tbody>
            </table>
    </div>
    </div>
{% endblock %}